org.apache.poi.hemf.record.emf

## Enum HemfComment.HemfCommentRecordType

- java.lang.Object
- - java.lang.Enum<HemfComment.HemfCommentRecordType>
  - - org.apache.poi.hemf.record.emf.HemfComment.HemfCommentRecordType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HemfComment.HemfCommentRecordType>
  Enclosing class:
    HemfComment

      public static enum HemfComment.HemfCommentRecordType
      extends java.lang.Enum<HemfComment.HemfCommentRecordType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `emfBeginGroup`
    `emfEndGroup`
    `emfGeneric`
    `emfMultiFormats`
    `emfPlus`
    `emfPublic`
    `emfSpool`
    `emfUnicodeEnd`
    `emfUnicodeString`
    `emfWMF`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.function.Supplier<? extends HemfComment.EmfCommentData>` | `constructor`
    `long` | `id`
    `boolean` | `isEmfPublic`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HemfComment.HemfCommentRecordType` | `getById(long id, boolean isEmfPublic)`
    `static HemfComment.HemfCommentRecordType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HemfComment.HemfCommentRecordType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### emfGeneric

          public static final HemfComment.HemfCommentRecordType emfGeneric

    - #### emfSpool

          public static final HemfComment.HemfCommentRecordType emfSpool

    - #### emfPlus

          public static final HemfComment.HemfCommentRecordType emfPlus

    - #### emfPublic

          public static final HemfComment.HemfCommentRecordType emfPublic

    - #### emfBeginGroup

          public static final HemfComment.HemfCommentRecordType emfBeginGroup

    - #### emfEndGroup

          public static final HemfComment.HemfCommentRecordType emfEndGroup

    - #### emfMultiFormats

          public static final HemfComment.HemfCommentRecordType emfMultiFormats

    - #### emfWMF

          public static final HemfComment.HemfCommentRecordType emfWMF

    - #### emfUnicodeString

          public static final HemfComment.HemfCommentRecordType emfUnicodeString

    - #### emfUnicodeEnd

          public static final HemfComment.HemfCommentRecordType emfUnicodeEnd

  - ### Field Detail

    - #### id

          public final long id

    - #### constructor

          public final java.util.function.Supplier<? extends HemfComment.EmfCommentData> constructor

    - #### isEmfPublic

          public final boolean isEmfPublic

  - ### Method Detail

    - #### values

          public static HemfComment.HemfCommentRecordType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HemfComment.HemfCommentRecordType c : HemfComment.HemfCommentRecordType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HemfComment.HemfCommentRecordType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getById

          public static HemfComment.HemfCommentRecordType getById(long id,
                                                                  boolean isEmfPublic)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.